* {
  margin: 0;
  padding: 0;
  border: 0;
  box-sizing: border-box;
}

body {
  width: max-content;
  height: max-content;
  overflow-y: visible;
}

.report {

  width: max-content;
  height: max-content;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-wrap: nowrap;

  &__header {
    height: 40mm;
    margin-top: 15mm;

    &__logo-wrapper {
      height: 20mm;
      margin-left: 10mm;
      background-image: url('src/assets/logos/report_logos/header-logos.png');
      background-repeat: no-repeat;
      background-size: contain;
    }
  }

  &__content {

    padding-left: 10mm;
    padding-right: 10mm;

    &__indicator-title {
      font-weight: 600;
      font-size: 8mm;
      line-height: 1.1;
      margin-bottom: 10mm;
      padding-bottom: 10mm;
      border-bottom: 0.5mm solid lightgrey;
    }

    &__indicator-description {
      font-size: 5mm;
      line-height: 1;
      margin-bottom: 10mm;
    }

    &__user-query-parameters {
      margin-bottom: 10mm;

      &__title{
        font-weight: bolder;
      };
      &__value{
        font-weight: 300;
      };
    }

    &__color-map-area {
      max-width: 250mm;
      height: 30%;
      border: 0.5mm solid blue;
      padding: 10mm;
      margin-bottom: 10mm;

    }

    &__chart-area {
      height: max-content;
      width: max-content;
      border: 0.5mm solid blue;
      padding: 10mm;
      margin-bottom: 10mm;
    }
  }

  &__footer {
    width: 250mm;
    height: 30mm;
    display: flex;
    flex-direction: row;

    &__rect {
      height: 30mm;
      width: 2.5mm;
      background-color: #212a5c;
    }

    &__info-block {
      height: 30mm;
      padding-left: 10mm;
      padding-right: 10mm;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;

      &__organization-title {
        color: #212a5c;
        font-weight: bold;
        font-size: 5mm;
      }

      &__organization-info {
        font-size: 3mm;
      }
    }

    &__logo-wrapper {
      height: 25mm;
      width: 80mm;
      margin-right: 5mm;
      background-image: url('../../assets/logos/header_logos/logo-escudo-ecuador.svg');
      background-repeat: no-repeat;
      background-size: contain;

    }
  }
}